Yes, absolutely. When a new version of Magento / Zencart / Oscommerce... is released, we gradually update all of our products to be compatible.

The process might takes time as it’s far from easy to update the whole store with the large number of extensions and templates.


And of course, when we notice that an extension is compatible with Magento / Zencart / Oscommerce... version x.y on extension's page, that means is the current downloadable of extension will be compatible with all version less than x.y.